HomeGuidesAPI Reference
API Reference

Search Merchants

Search & Retrieve Merchants, ACCESS LEVEL: SUPER_ADMIN, PARTNER, MERCHANT

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Retrieve a paginated list of merchants with optional filtering.


Endpoint

GET https://demo-api.edfapay.com/api/v1/merchant/search


Query Parameters

FieldTypeRequiredDescription
pageNumberIntegerYesPage number
pageSizeIntegerYesNumber of records
textStringNoSearch by merchant name
activeBooleanNoFilter active merchants
createdTimeFromDateNoFilter from date
createdTimeToDateNoFilter to date
emailAddressStringNoFilter by email

Request Example

curl --location 'https://demo-api.edfapay.com/api/v1/merchant/search?pageNumber=0&pageSize=10&text=test&active=true' \
--header 'X-API-KEY: <Your API Key>'

Response Body

FieldTypeDescription
codeIntegerStatus
messageStringMessage
data.contentArrayMerchant list
data.content[].idUUIDMerchant ID
data.content[].nameStringMerchant name
data.content[].nameARStringArabic name
data.content[].emailAddressStringEmail
data.content[].registeredMobileNumberStringPhone
data.content[].businessUnitIdUUIDBusiness unit
data.content[].countryCodeStringCountry
data.content[].cityIdIntegerCity
data.content[].statusStringStatus
data.content[].activeBooleanActive flag
data.numberIntegerPage number
data.sizeIntegerPage size
data.totalElementsIntegerTotal records
data.totalPagesIntegerTotal pages

Response Example

{
  "code": 200,
  "message": "Success",
  "data": {
    "content": [
      {
        "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "name": "Test Merchant",
        "nameAR": "تاجر",
        "emailAddress": "[email protected]",
        "registeredMobileNumber": "+966-500000000",
        "businessUnitId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "countryCode": "682",
        "cityId": 7,
        "status": "ACTIVE",
        "active": true
      }
    ],
    "number": 0,
    "size": 10,
    "totalElements": 1,
    "totalPages": 1
  }
}
Query Params
pageProperties
object
required

Search Pageable

searchCriteria
object
required

Merchant Search Criteria

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*